Page MenuHomePhabricator

cxserver error prevents translation of a section: Cannot read property 'replace' of undefined
Closed, ResolvedPublicBUG REPORT

Description

When trying to translate en:Vantaa to Spanish and adding first paragraph after infobox, cxserver error occurs. By inspecting the request, we get following response:

TypeError: Cannot read property 'replace' of undefined
    at siteInfoRequest.then (/srv/service/lib/mw/ApiRequestManager.js:194:18)
    at tryCatcher (/srv/service/node_modules/bluebird/js/release/util.js:16:23)
    at Promise._settlePromiseFromHandler (/srv/service/node_modules/bluebird/js/release/promise.js:517:31)
    at Promise._settlePromise (/srv/service/node_modules/bluebird/js/release/promise.js:574:18)
    at Promise._fulfillPromises (/srv/service/node_modules/bluebird/js/release/promise.js:674:14)
    at Promise._settlePromises (/srv/service/node_modules/bluebird/js/release/promise.js:700:18)
    at _drainQueueStep (/srv/service/node_modules/bluebird/js/release/async.js:138:12)
    at _drainQueue (/srv/service/node_modules/bluebird/js/release/async.js:131:9)
    at Async._drainQueues (/srv/service/node_modules/bluebird/js/release/async.js:147:5)
    at Immediate.Async.drainQueues [as _onImmediate] (/srv/service/node_modules/bluebird/js/release/async.js:17:14)
    at runCallback (timers.js:705:18)
    at tryOnImmediate (timers.js:676:5)
    at processImmediate (timers.js:658:5)

Outcome

Fixed an error that caused link and template adaptation to fail sometimes (which prevent translating a given section).

Event Timeline

Pginer-WMF triaged this task as Medium priority.Sep 30 2019, 2:44 PM

Change 649834 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/services/cxserver@master] More debugging and graceful handling for invalid titles

https://gerrit.wikimedia.org/r/649834

Nikerabbit added a subscriber: Nikerabbit.

Stumbled upon this when looking at production errors. Was trivial to make this better and add more debugging.

Change 649834 merged by jenkins-bot:
[mediawiki/services/cxserver@master] More debugging and graceful handling for invalid titles

https://gerrit.wikimedia.org/r/649834

Change 650022 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-12-16-164911-production

https://gerrit.wikimedia.org/r/650022

Change 650022 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-12-16-164911-production

https://gerrit.wikimedia.org/r/650022

Mentioned in SAL (#wikimedia-operations) [2020-12-17T06:52:18Z] <kart_> Updated cxserver to 2020-12-16-164911-production (T234220, T234220)

Mentioned in SAL (#wikimedia-operations) [2020-12-17T06:52:41Z] <kart_> Updated cxserver to 2020-12-16-164911-production (T234220, T269437)

Change 651557 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/services/cxserver@master] Inject logger into MWApiRequestManager

https://gerrit.wikimedia.org/r/651557

Change 651557 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Inject logger into MWApiRequestManager

https://gerrit.wikimedia.org/r/651557

Change 655642 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2021-01-12-095820-production

https://gerrit.wikimedia.org/r/655642

Change 655642 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2021-01-12-095820-production

https://gerrit.wikimedia.org/r/655642

Mentioned in SAL (#wikimedia-operations) [2021-01-13T11:40:26Z] <kart_> Updated cxserver to 2021-01-12-095820-production (T234220, T270408)

It seems this has been fixed, but it's little bit too early to say for sure. Leaving open to check again early next week.

This is clearly fixed now:

kuva.png (544×1 px, 65 KB)

kuva.png (544×1 px, 54 KB)

Nikerabbit changed the subtype of this task from "Task" to "Bug Report".